cURL
curl --request POST \ --url https://api.chessa.ai/v1/orders/funding \ --header 'Content-Type: application/json' \ --data ' { "chain": "Solana", "notes": "Additional comments for the payment", "orderId": "9b9d0383-20e1-48ef-bf08-57a26c63807e" } '
{ "order": { "createdAt": "2025-03-18T06:05:27.754Z", "cryptoAddress": "5u1gLZrAiyw6yAyYx3N6D916CUqEcoTkwvF54QwDGzRn", "cryptoAddressChain": "Solana", "cryptoAddressId": "74b62929-47f4-43f9-a4dc-a987deaff799", "cryptoAddressTag": "", "cryptoDepositId": null, "destinationAmount": "1500.00000000", "destinationAsset": "NGN", "destinationCountry": "NG", "expiresAt": "2025-03-18T08:05:27.751Z", "feeAmount": "0.00000000", "feeCurrency": "USDC", "feeUsd": "0.00000000", "id": "b647214f-3c33-4027-986b-3a46f041e800", "note": null, "originAmount": "0.95000000", "originAsset": "USDC", "partnerId": "4646e61e-33cf-452b-8bba-c138b78a57f0", "recipientId": "f12b990c-d4dc-4dc7-8b42-cbaa90308820", "refundAddress": null, "senderConfirmedAt": null, "shortId": "N3LBXEUI", "status": "waiting_for_funding", "updatedAt": "2025-03-18T06:06:46.500Z", "userId": "02e31a45-9474-4858-a833-06e89e494003" } }
Prepare an order for funding. This updates the order with the cryptoAddress
The order is ready to be paid, and once funds are received, the order will automatically complete.
""
"Solana"
"Additional comments for the payment"
"9b9d0383-20e1-48ef-bf08-57a26c63807e"
Success Response
Show child attributes
Was this page helpful?